import request from '@/utils/request'

// 设备能效配置列表
export function configurationList(query) {
    return request({
        url: '/energy/findDeviceEnergyConfig',
        method: 'get',
        params: query
    })
}

// 设备能效配置能效模板下拉
export function configurationSelect() {
    return request({
        url: '/energy/findEnergyTemplatePullDown',
        method: 'get'
    })
}


// 设备能效应用
export function applicatConfiguration(data) {
    return request({
        url: '/energy/UpdateDeviceEnergyConfig',
        method: 'post',
        data
    })
}

// 设备能效根据设备id查模板
export function getTemplateById(data) {
    return request({
        url: '/energy/findDeviceEnergyConfigByDeviceId',
        method: 'post',
        data
    })
}

// 设备能效根据模板查设备
export function getEquipmentById(data) {
    return request({
        url: '/energy/findDeviceEnergyConfigByTempId',
        method: 'post',
        data
    })
}
